Bug 117388 - GTK3 scrollbars don't support long-press for precise / smooth scrolling
Summary: GTK3 scrollbars don't support long-press for precise / smooth scrolling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All Linux (All)
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-05-02 12:27 UTC by Michael Stahl (allotropia)
Modified: 2022-08-08 07:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (allotropia) 2018-05-02 12:27:01 UTC
Description:
GTK3 supports "Smooth scrolling" by clicking on the scrollbar slider and holding the mouse button until it becomes "thin", which enables a mode that allows very precise scrolling.

https://blog.gtk.org/2017/10/11/a-scrolling-primer/

VCL scrollbars don't support this currently, and they also don't display the "scroll up" / "scroll down" buttons with GTK3 so there is no way to do precise scrolling.


Steps to Reproduce:
1. left click on scrollbar slider
2. hold button for some seconds


Actual Results:  
3. notice no change in scrollbar behaviour

Expected Results:
3. change in scrollbar behaviour to precise scrolling


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Caolán McNamara 2021-04-20 10:38:28 UTC
FWIW starmath text scrolling area, because native gtk used, now has this in master
Comment 2 Commit Notification 2022-08-03 18:24:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c12f6dca251ba583297090def8aa9597a818c14

tdf#117388 use native scrollbar under gtk in writer

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-08-05 07:53:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b20a1b0736825c9c934288428e6e581f79971e2

tdf#117388 use native scrollbar under gtk in calc document

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-08-05 11:07:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5156b9e452a81e2daa4ecc67b5533c6911f77ec

tdf#117388 use native scrollbar under gtk in impress/draw documents

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-08-05 12:57:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cbef9c333bc6b41d9d0cd8d0d7142c7606ea1226

tdf#117388 use native scrollbar under gtk in writer's html source view

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-08-05 12:58:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6819707cbc8e7257a694623a6331c3c6f965fa94

tdf#117388 use native scrollbar under gtk in calc print preview

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-08-05 15:05:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5ae01ffa70549b1a4d9f166d0528a8d04a5dc858

tdf#117388 use native scrollbar under gtk in basic editor

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-08-05 20:40:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bbf8673da5a7f1154111776378edb158707c80db

tdf#117388 use native scrollbar under gtk in data browser

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-08-06 11:08:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59a2650101a0ce711151bfd39af1bbb69f71f318

tdf#117388 use native scrollbar under gtk in database scrolled window

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-08-06 11:08:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/800551502416d3d80c8d14a53335dad5190290a4

tdf#117388 use native scrollbar under gtk in reportdesigner

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-08-06 11:10:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6d9ee6444d07bac64b9744b1c9fc7a2519e62965

tdf#117388 use native scrollbar under gtk in calc data view browser

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-08-08 07:54:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cdf5b6a2a6f0ba2838323ce4398948c3d3a56f8e

tdf#117388 use native scrollbar under gtk in richedit control

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.